'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _Button = require('./Button.css');

var _Button2 = _interopRequireDefault(_Button);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function Button(props) {
  var _classNames;

  var blocked = props.blocked,
      buttonType = props.buttonType,
      centered = props.centered,
      disabled = props.disabled,
      parentClass = props.parentClass,
      size = props.size,
      style = props.style,
      text = props.text,
      variant = props.variant;

  var buttonClasses = (0, _classnames2.default)((_classNames = {}, _defineProperty(_classNames, _Button2.default.button, true), _defineProperty(_classNames, parentClass, parentClass !== ''), _defineProperty(_classNames, _Button2.default['button--' + size], size !== 'normal'), _defineProperty(_classNames, _Button2.default['button--secondary'], variant === 'secondary'), _defineProperty(_classNames, _Button2.default['button--block'], blocked), _defineProperty(_classNames, _Button2.default['button--center'], centered), _classNames));
  var hasType = buttonType !== '' ? { type: buttonType } : null;
  var isDisabled = disabled ? { disabled: true } : null;

  return _react2.default.createElement(
    'button',
    _extends({ className: buttonClasses }, hasType, isDisabled, { style: style }),
    text
  );
}

Button.propTypes = {
  blocked: _propTypes2.default.bool,
  buttonType: _propTypes2.default.oneOf(['', 'reset', 'submit']),
  centered: _propTypes2.default.bool,
  disabled: _propTypes2.default.bool,
  parentClass: _propTypes2.default.string,
  size: _propTypes2.default.oneOf(['normal', 'large', 'small']),
  style: _propTypes2.default.object,
  text: _propTypes2.default.string.isRequired,
  variant: _propTypes2.default.oneOf(['primary', 'secondary'])
};

Button.defaultProps = {
  blocked: false,
  buttonType: '',
  centered: false,
  disabled: false,
  parentClass: '',
  size: 'normal',
  style: {},
  variant: 'primary'
};

exports.default = Button;