'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _ProgressBar = require('./ProgressBar.css');

var _ProgressBar2 = _interopRequireDefault(_ProgressBar);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function ProgressBar(_ref) {
  var maxValue = _ref.maxValue,
      segmented = _ref.segmented,
      value = _ref.value;

  var bar = [];
  var progressWidth = Math.round(value / maxValue * 1000) / 10;

  if (segmented) {
    var activeAmount = value;

    for (var i = 0; i < maxValue; i++) {
      var _classNames;

      var isBlured = activeAmount <= 0;
      var itemClasses = (0, _classnames2.default)((_classNames = {}, _defineProperty(_classNames, _ProgressBar2.default.item, true), _defineProperty(_classNames, _ProgressBar2.default['item--blured'], isBlured), _classNames));

      bar.push(_react2.default.createElement('span', { className: itemClasses }));
      activeAmount -= 1;
    }
  } else {
    bar.push(_react2.default.createElement('span', { className: _ProgressBar2.default.item, style: { width: progressWidth + '%' } }));
  }

  return _react2.default.createElement(
    'div',
    { className: _ProgressBar2.default.container },
    bar
  );
}

ProgressBar.propTypes = {
  maxValue: _propTypes2.default.number,
  segmented: _propTypes2.default.bool,
  value: _propTypes2.default.number.isRequired
};

ProgressBar.defaultProps = {
  maxValue: 10,
  segmented: false
};

exports.default = ProgressBar;