'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _Title = require('./Title.css');

var _Title2 = _interopRequireDefault(_Title);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function Title(_ref) {
  var _classNames;

  var hType = _ref.hType,
      noMargin = _ref.noMargin,
      parentClass = _ref.parentClass,
      style = _ref.style,
      text = _ref.text,
      variant = _ref.variant;

  var CustomTag = hType;
  var titleClasses = (0, _classnames2.default)((_classNames = {}, _defineProperty(_classNames, _Title2.default.title, true), _defineProperty(_classNames, _Title2.default['title--' + variant], true), _defineProperty(_classNames, _Title2.default['title--noMargin'], noMargin), _defineProperty(_classNames, parentClass, parentClass !== ''), _classNames));

  return _react2.default.createElement(
    CustomTag,
    { className: titleClasses, style: style },
    text
  );
}

Title.propTypes = {
  hType: _propTypes2.default.oneOf(['h1', 'h2', 'h3', 'h4', 'h5', 'h6']).isRequired,
  noMargin: _propTypes2.default.bool,
  parentClass: _propTypes2.default.string,
  style: _propTypes2.default.object,
  text: _propTypes2.default.string.isRequired,
  variant: _propTypes2.default.oneOf(['default', 'large', 'pageHeader', 'smallOffer', 'subHeader'])
};

Title.defaultProps = {
  noMargin: false,
  parentClass: '',
  style: {},
  variant: 'default'
};

exports.default = Title;